Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.businessobjects
Class CategoryPath

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.AbstractSequentialList
                  java.util.LinkedList
                      com.autonomy.aci.businessobjects.CategoryPath

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.io.Serializable

public class CategoryPath
extends java.util.LinkedList

See Also:
  Serialized Form

Constructor Summary
`CategoryPath()`

Method Summary
`CategoryPath` | `addNode(java.lang.String s)`
`int` | `depth()`
`static java.util.Comparator` | `getComparator()`
`java.lang.String` | `getLastNode()`
`java.lang.String` | `toString(java.lang.String s)`

Methods inherited from class java.util.LinkedList
`add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, get, getFirst, getLast, indexOf, lastIndexOf, listIterator, remove, remove, removeFirst, removeLast, set, size, toArray, toArray`

Methods inherited from class java.util.AbstractSequentialList
`iterator`

Methods inherited from class java.util.AbstractList
`equals, hashCode, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, isEmpty, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, isEmpty, iterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### CategoryPath

    public CategoryPath()

Method Detail

### addNode

    public CategoryPath addNode(java.lang.String s)

### getLastNode

    public java.lang.String getLastNode()

### depth

    public int depth()

### toString

    public java.lang.String toString(java.lang.String s)

### getComparator

    public static java.util.Comparator getComparator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD